Package ru.bgcrm.plugin.bgbilling.proto.model.inet

# Class InetSessionLog

java.lang.Object
ru.bgcrm.plugin.bgbilling.proto.model.inet.InetSession
ru.bgcrm.plugin.bgbilling.proto.model.inet.InetSessionLog

public class InetSessionLog extends InetSession

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.model.inet.InetSession

  `connectionId, cost, deviceState, id, last, start, status, stop, time`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetSessionLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAcctSessId()`
  `String`
  `getCdsId()`
  `String`
  `getCnsId()`
  `int`
  `getDeviceId()`
  `int`
  `getDevicePort()`
  `String`
  `getDeviceTitle()`
  `String`
  `getFromNumberToNumberAsString()`
  `String`
  `getIp()`
  `String`
  `getServiceTitle()`
  `int`
  `getServId()`
  `String`
  `getSessionActivityAsString()`
  `String`
  `getSessionStartAsString()`
  `String`
  `getSessionStopAsString()`
  `String`
  `getStatusName()`
  `void`
  `setAcctSessId(String acctSessionId)`
  `void`
  `setCdsId(String fromNumber)`
  `void`
  `setCnsId(String toNumber)`
  `void`
  `setDeviceId(int deviceId)`
  `void`
  `setDevicePort(int port)`
  `void`
  `setDeviceTitle(String deviceTitle)`
  `void`
  `setIp(String inetAddress)`
  `void`
  `setServiceTitle(String serviceTitle)`
  `void`
  `setServId(int loginId)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.model.inet.InetSession

  `getConId, getCost, getDevState, getDevStateTitle, getId, getLast, getStart, getStatus, getStop, getTime, setConId, setCost, setDevState, setId, setLast, setStart, setStatus, setStop, setTime`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetSessionLog

    public InetSessionLog()

- ## Method Details

  - ### getServId

    public int getServId()

  - ### setServId

    public void setServId(int loginId)

  - ### getServiceTitle

    public String getServiceTitle()

  - ### setServiceTitle

    public void setServiceTitle(String serviceTitle)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId(int deviceId)

  - ### getDevicePort

    public int getDevicePort()

  - ### setDevicePort

    public void setDevicePort(int port)

  - ### getDeviceTitle

    public String getDeviceTitle()

  - ### setDeviceTitle

    public void setDeviceTitle(String deviceTitle)

  - ### getAcctSessId

    public String getAcctSessId()

  - ### setAcctSessId

    public void setAcctSessId(String acctSessionId)

  - ### getCdsId

    public String getCdsId()

  - ### setCdsId

    public void setCdsId(String fromNumber)

  - ### getCnsId

    public String getCnsId()

  - ### setCnsId

    public void setCnsId(String toNumber)

  - ### getIp

    public String getIp()

  - ### setIp

    public void setIp(String inetAddress)

  - ### getStatusName

    public String getStatusName()

  - ### getFromNumberToNumberAsString

    public String getFromNumberToNumberAsString()

  - ### getSessionStartAsString

    public String getSessionStartAsString()

  - ### getSessionStopAsString

    public String getSessionStopAsString()

  - ### getSessionActivityAsString

    public String getSessionActivityAsString()